Index: npl/system/ca_certificates/ca-certificates.SlackBuild.orig
===================================================================
--- npl/system/ca_certificates/ca-certificates.SlackBuild.orig	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca-certificates.SlackBuild.orig	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for ca-certificates
+
+# Copyright 2009,2011  Robby Workman  Northport, AL, USA
+# Copyright 2012, 2013, 2015, 2016, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=ca-certificates
+VERSION=${VERSION:-20180409}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+TARVERSION=${VERSION}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/ca-certificates $PKG/usr/sbin
+cd $TMP
+
+# Need both $PKGNAM and $PKGNAM-$VERSION since upstream can't decide how
+# to package their tarball:
+rm -rf $PKGNAM $PKGNAM-$VERSION
+
+# Extract the tarball:
+tar xvf $CWD/${PKGNAM}_$TARVERSION.tar.?z || exit 1
+
+# Again, both $PKGNAM and $PKGNAM-$VERSION are needed here:
+cd $PKGNAM-$VERSION 2> /dev/null || cd $PKGNAM || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Obsolete?
+#zcat $CWD/patches/fixup_DESTDIR.diff.gz | patch -p1 || exit 1
+
+# Remove incompatible command operators used to call 'run-parts':
+zcat $CWD/patches/fixup_update-ca-certificates.diff.gz | patch -p1 || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/etc/ca-certificates/update.d
+printf "# Automatically generated by $PKGNAM-$VERSION \n#\n" \
+  > $PKG/etc/ca-certificates.conf.new
+( cd $PKG/usr/share/ca-certificates
+  find . -name '*.crt' | sort | cut -b3-
+) >> $PKG/etc/ca-certificates.conf.new
+
+mkdir -p $PKG/usr/man/man8
+gzip -9c sbin/update-ca-certificates.8 > \
+  $PKG/usr/man/man8/update-ca-certificates.8.gz
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+#mv debian/NEWS debian/NEWS.Debian
+cp -a  debian/README.Debian $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/var/log/setup
+cat $CWD/setup.11.cacerts > $PKG/var/log/setup/setup.11.cacerts
+chmod 755 $PKG/var/log/setup/setup.11.cacerts
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/system/ca_certificates/ca_certificates.SlackBuild
===================================================================
--- npl/system/ca_certificates/ca_certificates.SlackBuild	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates.SlackBuild	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/ca-certificates/
+# Created at Thu Sep  6 14:55:01 CEST 2018
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./ca-certificates.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/ca_certificates/ca_certificates.arch
===================================================================
--- npl/system/ca_certificates/ca_certificates.arch	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates.arch	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+noarch
Index: npl/system/ca_certificates/ca_certificates.build
===================================================================
--- npl/system/ca_certificates/ca_certificates.build	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates.build	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+1
Index: npl/system/ca_certificates/ca_certificates.md5
===================================================================
--- npl/system/ca_certificates/ca_certificates.md5	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates.md5	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,11 @@
+8425f4b1219e4e528db2de764e4c6586  ./ca-certificates_20180409.tar.xz
+700d337a91898a6dbd7d499113934a32  ./ca_certificates_dev.pkg
+88ad5308625a81cc8104105ee376a859  ./ca_certificates.pkg
+2aa1e59a6c831918db6ed5f6071d9f0c  ./ca_certificates.SlackBuild
+a4481d30d47cb7ca43470247dcf09635  ./ca_certificates.SlackBuild.log.gz
+ebed590c7d8cd11d2ef8f4056b7d7762  ./ca-certificates.SlackBuild.orig
+d14bfbd360d69256b0f5a916301fdb5a  ./doinst.sh.gz
+260654f21ca5431270192d94f421cfc2  ./patches/fixup_DESTDIR.diff.gz
+cc23ac9b45fa4649ade60f64fe02eb7d  ./patches/fixup_update-ca-certificates.diff.gz
+5dbe990e59d512ceb425ea6475ef0ae0  ./setup.11.cacerts
+3e8cc1df82ad139814446952d69b9966  ./slack-desc
Index: npl/system/ca_certificates/ca_certificates.version
===================================================================
--- npl/system/ca_certificates/ca_certificates.version	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates.version	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+20180409
Index: npl/system/ca_certificates/ca_certificates_dev.arch
===================================================================
--- npl/system/ca_certificates/ca_certificates_dev.arch	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates_dev.arch	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+noarch
Index: npl/system/ca_certificates/ca_certificates_dev.build
===================================================================
--- npl/system/ca_certificates/ca_certificates_dev.build	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates_dev.build	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+1
Index: npl/system/ca_certificates/ca_certificates_dev.version
===================================================================
--- npl/system/ca_certificates/ca_certificates_dev.version	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/ca_certificates_dev.version	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,1 @@
+20180409
Index: npl/system/ca_certificates/setup.11.cacerts
===================================================================
--- npl/system/ca_certificates/setup.11.cacerts	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/setup.11.cacerts	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,3 @@
+#!/bin/sh
+#BLURB="Rebuild SSL certificate database."
+chroot . usr/sbin/update-ca-certificates --fresh 1> /dev/null 2> /dev/null
Index: npl/system/ca_certificates/slack-desc
===================================================================
--- npl/system/ca_certificates/slack-desc	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
+++ npl/system/ca_certificates/slack-desc	(revision f9ce31e1b61d541888a879b85c07b06ea069b5ee)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+               |-----handy-ruler-----------------------------------------------------|
+ca-certificates: ca-certificates (PEM Files of CA Certificates)
+ca-certificates:
+ca-certificates: This package includes PEM files of CA certificates to allow SSL-based
+ca-certificates: applications to check for the authenticity of SSL connections.
+ca-certificates:
+ca-certificates: Homepage: http://packages.qa.debian.org/c/ca-certificates.html
+ca-certificates:
+ca-certificates:
+ca-certificates:
+ca-certificates:
+ca-certificates:
